slick_summary_bars 1.0.2

  • Readme
  • Changelog
  • Example
  • Installing
  • 50

A collection of Summary / Overview bars #

pub package

pub package

Description #

This package contains a collection of summary / overview bars. Some are only designed to display textual content, some to display graphical content, and some are designed to display both, textual as well as graphical content. Though, these are typically to be used as summary / overview bars, however, there use in any case is not limited to as summary / overview bars.

Using #

Simply import package: slick_summary_bars/slick_summary_bars.dart and start using the one you like from the following growing list:-

  • ThreeColumnTextBar.
import 'package:flutter/material.dart';
import 'slick_summary_bars/three_column_text_bar.dart';

class TestPage extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('Widget Test'),
      ),
      body: ThreeColumnTextBar.dark(
        context: context,
        c1LabelText: 'Income',
        c1DataText: '\$ 5,000.0',
        c2LabelText: 'Expenses',
        c2DataText: '\$ 2,000.0',
        c3LabelText: 'Balance',
        c3DataText: '\$ 3,000',
      ),
    );
  }
}

Screenshots #

ThreeColumnTextBar

ThreeColumnTextBar

ThreeColumnTextBar

ThreeColumnTextBar

ThreeColumnTextBar

ThreeColumnTextBar

ThreeColumnTextBar

Feedback #

For any feedback please email me or follow me on twitter.

ChangeLog #

1.0.2 #

23-05-2019 #

  • Breaking Change, for ThreeColumnTextBar, removed the 'context', and 'scalePreset' arguments from all the constructors.
  • The labelText and dataText in a ThreeColumnTextBar can now be styled using a custom fontSize, fontWeight, and fontFamily.
  • The holder in a ThreeColumnTextBar can now be set to a custom height.

1.0.1 #

03-05-2019 #

  • Added ThreeColumnTextBar.

example/example.dart

import 'package:flutter/material.dart';
import 'package:slick_summary_bars/slick_summary_bars.dart';

main() => runApp(ExampleApp());

class ExampleApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: HomePage(),
    );
  }
}

class HomePage extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('Widget Test'),
      ),
      body: ThreeColumnTextBar.dark(
        c1LabelText: 'Income',
        c1DataText: '\$ 5,000.0',
        c2LabelText: 'Expenses',
        c2DataText: '\$ 2,000.0',
        c3LabelText: 'Balance',
        c3DataText: '\$ 3,000',
      ),
    );
  }
}

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  slick_summary_bars: ^1.0.2

2. Install it

You can install packages from the command line:

with Flutter:


$ flutter pub get

Alternatively, your editor might support flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:slick_summary_bars/slick_summary_bars.dart';
  
Popularity:
Describes how popular the package is relative to other packages. [more]
0
Health:
Code health derived from static analysis. [more]
100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
100
Overall:
Weighted score of the above. [more]
50
Learn more about scoring.

We analyzed this package on Nov 15, 2019, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.6.0
  • pana: 0.12.21
  • Flutter: 1.9.1+hotfix.6

Platforms

Detected platforms: Flutter

References Flutter, and has no conflicting libraries.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=2.1.0 <3.0.0
flutter 0.0.0
Transitive dependencies
collection 1.14.11 1.14.12
meta 1.1.7 1.1.8
sky_engine 0.0.99
typed_data 1.1.6
vector_math 2.0.8
Dev dependencies
flutter_test